Skip to main content
`Ctrl`+`K`

# TaoSetConvergenceTest

Sets the function that is to be used to test for convergence of the iterative minimization solution. The new convergence testing routine will replace Tao’s default convergence test.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetConvergenceTest(Tao tao, PetscErrorCode (*conv)(Tao tao, PetscCtx ctx), PetscCtx ctx)

Logically Collective

## Input Parameters

- tao - the `Tao` object

- conv - the routine to test for convergence

- ctx - [optional] context for private data for the convergence routine (may be `NULL`)

## Calling sequence of `conv`

- tao - the `Tao` object

- ctx - [optional] convergence context

## Note

The new convergence testing routine should call `TaoSetConvergedReason()`.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSolve()`, `TaoSetConvergedReason()`, `TaoGetSolutionStatus()`, `TaoGetTolerances()`, `TaoMonitorSet()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/bound/tutorials/jbearing2.c
src/tao/unconstrained/tutorials/eptorsion2f.F90

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages